
Figure - Bug #118944
【AF】【VC1】【台架】【副屏】乐播投屏在连接状态断开手机WiFi操作会导致重新连接WiFi后无法搜到副屏
2023-06-30 15:48 - 物联网测试组_TSCD 王维

Status: CLOSED Start date: 2023-06-30

Priority: Normal Due date:

Assignee: 物联网测试组_TSCD 王维 % Done: 0%

Category: CD-FW Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: 中控版本：3096��副屏版本：20230630 DB

Resolution: -- Degrated: --

Severity: Normal Verified Version:

Reproducibility: Occasionally Fixed Version:

Test Type: ST Root cause: 乐播 SDK 故障

Description

【环境信息】

台架

【前提条件】

1.设备正常上电

2.中控网络正常

3.副屏和中控已连接

【操作步骤】

1.打开中控热点

2.手机A和手机B连接热点

3.手机A搜索副屏完成投屏

4.断开手机A WiFi使用手机B连接投屏

5.断开手机B WiFi使用手机A再次连接WiFi进行投屏

6.重复步骤2-5

【实际结果】

手机AB投屏无法搜索到目标副屏

【期望结果】

手机AB都可以正常在目标副屏进行投屏

History

#1 - 2023-07-06 14:05 - CD FW-廖涛

- Status changed from New to ASSIGNED

■ My analysis

从日志看，是乐播的 SDK 在创建 SurfaceView 时，native 层出现空指针异常，导致崩溃。目前该错误只出现在乐播投屏中，我们认为应该从使用的地方（

乐播 SDK）中规避，但乐播相关开发认为应该由系统层来解决。

崩溃日志如下：

06-30 15:19:31.000 17531 17531 F DEBUG   : * 

06-30 15:19:31.000 17531 17531 F DEBUG   : Build fingerprint: 'HiPhi/PassengerDisplay_CN/PassengerDisplay:12/SKQ1.220201.001/4413:user/release-keys'

06-30 15:19:31.000 17531 17531 F DEBUG   : Revision: '0'

06-30 15:19:31.000 17531 17531 F DEBUG   : ABI: 'arm'

2025-07-04 1/4



06-30 15:19:31.000 17531 17531 F DEBUG   : Timestamp: 2023-06-30 15:19:30.720293104+0800

06-30 15:19:31.000 17531 17531 F DEBUG   : Process uptime: 0s

06-30 15:19:31.000 17531 17531 F DEBUG   : Cmdline: com.hryt.lebotp

06-30 15:19:31.000 17531 17531 F DEBUG   : pid: 3294, tid: 11310, name: RenderThread  >>> com.hryt.lebotp <<<

06-30 15:19:31.000 17531 17531 F DEBUG   : uid: 10100

06-30 15:19:31.000 17531 17531 F DEBUG   : signal 11 (SIGSEGV), code 1 (SEGV_MAPERR), fault addr 0x4

06-30 15:19:31.000 17531 17531 F DEBUG   : Cause: null pointer dereference

06-30 15:19:31.000 17531 17531 F DEBUG   :     r0  00000000  r1  00000004  r2  f4fcf510  r3  00000000

06-30 15:19:31.000 17531 17531 F DEBUG   :     r4  f4fcf510  r5  f4f5e070  r6  f4251138  r7  c5cc0930

06-30 15:19:31.000 17531 17531 F DEBUG   :     r8  00000001  r9  00000001  r10 eeff7b00  r11 eca3e09e

06-30 15:19:31.000 17531 17531 F DEBUG   :     ip  f2029320  sp  c5cc0918  lr  f1f96a9f  pc  f31df6b6

06-30 15:19:31.000 17531 17531 F DEBUG   : backtrace:

06-30 15:19:31.000 17531 17531 F DEBUG   :       #00 pc 0000a6b6  /system/lib/libutils.so (android::RefBase::incStrong(void const) const+4) (BuildId:

09cd54a3487f009ed36a69a0b05bd664)

06-30 15:19:31.000 17531 17531 F DEBUG   :       #01 pc 000c9a9b  /system/lib/libandroid_runtime.so (android::nativeSetFlags(JNIEnv*, _jclass*, long long, long long, int,

int)+50) (BuildId: 4ccc3fdc76fec0af666f15a60e826551)

06-30 15:19:31.000 17531 17531 F DEBUG   :       #02 pc 001812cf  /system/framework/arm/boot-framework.oat (art_jni_trampoline+86) (BuildId:

891f28528959fc347a53f9848fc053a030e04f96)

06-30 15:19:31.000 17531 17531 F DEBUG   :       #03 pc 005df145  /system/framework/arm/boot-framework.oat (android.view.SurfaceControl$Transaction.hide+188)

(BuildId: 891f28528959fc347a53f9848fc053a030e04f96)

06-30 15:19:31.000 17531 17531 F DEBUG   :       #04 pc 000ec00c  /apex/com.android.art/lib/libart.so (nterp_helper+2908) (BuildId: 74e98467e8f6c612e69dd5fa35e77e1f)

06-30 15:19:31.000 17531 17531 F DEBUG   :       #05 pc 0032009e  /system/framework/framework.jar

(android.view.SurfaceView$SurfaceViewPositionUpdateListener.positionLost+162)

06-30 15:19:31.000 17531 17531 F DEBUG   :       #06 pc 0031e18d  /system/framework/arm/boot-framework.oat

(android.graphics.RenderNode$CompositePositionUpdateListener.positionLost+100) (BuildId: 891f28528959fc347a53f9848fc053a030e04f96)

06-30 15:19:31.000 17531 17531 F DEBUG   :       #07 pc 000f03d5  /apex/com.android.art/lib/libart.so (art_quick_invoke_stub_internal+68) (BuildId:

74e98467e8f6c612e69dd5fa35e77e1f)

06-30 15:19:31.000 17531 17531 F DEBUG   :       #08 pc 00509fd3  /apex/com.android.art/lib/libart.so (art_quick_invoke_stub+282) (BuildId:

74e98467e8f6c612e69dd5fa35e77e1f)

06-30 15:19:31.000 17531 17531 F DEBUG   :       #09 pc 00143c35  /apex/com.android.art/lib/libart.so (art::ArtMethod::Invoke(art::Thread*, unsigned int*, unsigned int,

art::JValue*, char const*)+140) (BuildId: 74e98467e8f6c612e69dd5fa35e77e1f)

06-30 15:19:31.000 17531 17531 F DEBUG   :       #10 pc 00407a7b  /apex/com.android.art/lib/libart.so (art::JValue

art::InvokeVirtualOrInterfaceWithVarArgs<art::ArtMethod*>(art::ScopedObjectAccessAlreadyRunnable const&, _jobject*, art::ArtMethod*, std::_va_list)+366) (BuildId:

74e98467e8f6c612e69dd5fa35e77e1f)

06-30 15:19:31.000 17531 17531 F DEBUG   :       #11 pc 00407b87  /apex/com.android.art/lib/libart.so (art::JValue

art::InvokeVirtualOrInterfaceWithVarArgs<_jmethodID*>(art::ScopedObjectAccessAlreadyRunnable const&, jobject*, _jmethodID*, std::_va_list)+42) (BuildId:

74e98467e8f6c612e69dd5fa35e77e1f)

06-30 15:19:31.000 17531 17531 F DEBUG   :       #12 pc 002bb7c9  /apex/com.android.art/lib/libart.so (art::JNI<false>::CallVoidMethodV(JNIEnv*, _jobject*,

_jmethodID*, std::_va_list)+496) (BuildId: 74e98467e8f6c612e69dd5fa35e77e1f)

06-30 15:19:31.000 17531 17531 F DEBUG   :       #13 pc 002cde8d  /system/lib/libhwui.so (JNIEnv::CallVoidMethod(_jobject*, _jmethodID*, ...)+28) (BuildId:

09c46d7acb756f314c71d0cba7bc3f74)

06-30 15:19:31.000 17531 17531 F DEBUG   :       #14 pc 002d22c1  /system/lib/libhwui.so

(_ZZN7androidL46android_view_RenderNode_requestPositionUpdatesEP7_JNIEnvP8_jobjectxS3_EN26PositionListenerTrampoline14onPositionLostERNS_10uirende

rer10RenderNodeEPKNS5_8TreeInfoE$e08e5be7d6b9d462d36dec99da9de1de+136) (BuildId: 09c46d7acb756f314c71d0cba7bc3f74)

06-30 15:19:31.000 17531 17531 F DEBUG   :       #15 pc 00163fd3  /system/lib/libhwui.so

(android::uirenderer::RenderNode::deleteDisplayList(android::uirenderer::TreeObserver&, android::uirenderer::TreeInfo*)+202) (BuildId:

09c46d7acb756f314c71d0cba7bc3f74)

06-30 15:19:31.000 17531 17531 F DEBUG   :       #16 pc 0026e359  /system/lib/libhwui.so

(android::uirenderer::RenderNode::destroyHardwareResources(android::uirenderer::TreeInfo*)+60) (BuildId: 09c46d7acb756f314c71d0cba7bc3f74)

06-30 15:19:31.000 17531 17531 F DEBUG   :       #17 pc 000af3b5  /system/lib/libhwui.so (_ZNSt3

_110__function6__funcIZN7android10uirenderer10RenderNode17deleteDisplayListERNS3_12TreeObserverEPNS3_8TreeInfoEE3$_3NS_9allocatorIS9_EEFvPS4_EEcl

EOSC_$907f77e9b59bd29450c46d69c21b9e58+32) (BuildId: 09c46d7acb756f314c71d0cba7bc3f74)

06-30 15:19:31.000 17531 17531 F DEBUG   :       #18 pc 00163fd3  /system/lib/libhwui.so
(android::uirenderer::RenderNode::deleteDisplayList(android::uirenderer::TreeObserver&, android::uirenderer::TreeInfo*)+202) (BuildId:

09c46d7acb756f314c71d0cba7bc3f74)

06-30 15:19:31.000 17531 17531 F DEBUG   :       #19 pc 0026e359  /system/lib/libhwui.so

(android::uirenderer::RenderNode::destroyHardwareResources(android::uirenderer::TreeInfo*)+60) (BuildId: 09c46d7acb756f314c71d0cba7bc3f74)

06-30 15:19:31.000 17531 17531 F DEBUG   :       #20 pc 000af3b5  /system/lib/libhwui.so (ZNSt3

_110__function6__funcIZN7android10uirenderer10RenderNode17deleteDisplayListERNS3_12TreeObserverEPNS3_8TreeInfoEE3$_3NS_9allocatorIS9_EEFvPS4_EEcl

EOSC_$907f77e9b59bd29450c46d69c21b9e58+32) (BuildId: 09c46d7acb756f314c71d0cba7bc3f74)

06-30 15:19:31.000 17531 17531 F DEBUG   :       #21 pc 00163fd3  /system/lib/libhwui.so

(android::uirenderer::RenderNode::deleteDisplayList(android::uirenderer::TreeObserver&, android::uirenderer::TreeInfo*)+202) (BuildId:

09c46d7acb756f314c71d0cba7bc3f74)

06-30 15:19:31.000 17531 17531 F DEBUG   :       #22 pc 0026e359  /system/lib/libhwui.so

(android::uirenderer::RenderNode::destroyHardwareResources(android::uirenderer::TreeInfo*)+60) (BuildId: 09c46d7acb756f314c71d0cba7bc3f74)

06-30 15:19:31.000 17531 17531 F DEBUG   :       #23 pc 001f89b7  /system/lib/libhwui.so

(android::uirenderer::MarkAndSweepRemoved::~MarkAndSweepRemoved()+98) (BuildId: 09c46d7acb756f314c71d0cba7bc3f74)

06-30 15:19:31.000 17531 17531 F DEBUG   :       #24 pc 001f88e5  /system/lib/libhwui.so

(android::uirenderer::RenderNode::prepareTree(android::uirenderer::TreeInfo&)+108) (BuildId: 09c46d7acb756f314c71d0cba7bc3f74)

06-30 15:19:31.000 17531 17531 F DEBUG   :       #25 pc 002ffa35  /system/lib/libhwui.so

(android::uirenderer::RootRenderNode::prepareTree(android::uirenderer::TreeInfo&)+112) (BuildId: 09c46d7acb756f314c71d0cba7bc3f74)

06-30 15:19:31.001 17531 17531 F DEBUG   :       #26 pc 0022b32b  /system/lib/libhwui.so

(android::uirenderer::renderthread::CanvasContext::prepareTree(android::uirenderer::TreeInfo&, long long*, long long, android::uirenderer::RenderNode*)+254)

(BuildId: 09c46d7acb756f314c71d0cba7bc3f74)

06-30 15:19:31.001 17531 17531 F DEBUG   :       #27 pc 0022aaf7  /system/lib/libhwui.so (ZNSt3

_110__function6__funcIZN7android10uirenderer12renderthread13DrawFrameTask11postAndWaitEvE3$_0NS_9allocatorIS6_EEFvvEEclEv$c1671e787f244890c8777247

52face20+430) (BuildId: 09c46d7acb756f314c71d0cba7bc3f74)

06-30 15:19:31.001 17531 17531 F DEBUG   :       #28 pc 00235265  /system/lib/libhwui.so (android::uirenderer::WorkQueue::process()+112) (BuildId:

09c46d7acb756f314c71d0cba7bc3f74)

06-30 15:19:31.001 17531 17531 F DEBUG   :       #29 pc 002350e5  /system/lib/libhwui.so (android::uirenderer::renderthread::RenderThread::threadLoop()+52) (BuildId:

09c46d7acb756f314c71d0cba7bc3f74)

06-30 15:19:31.001 17531 17531 F DEBUG   :       #30 pc 0000d2f9  /system/lib/libutils.so (android::Thread::_threadLoop(void*)+168) (BuildId:

09cd54a3487f009ed36a69a0b05bd664)

06-30 15:19:31.001 17531 17531 F DEBUG   :       #31 pc 0000ce33  /system/lib/libutils.so (thread_data_t::trampoline(thread_data_t const*)+262) (BuildId:

09cd54a3487f009ed36a69a0b05bd664)

06-30 15:19:31.001 17531 17531 F DEBUG   :       #32 pc 00080db7  /apex/com.android.runtime/lib/bionic/libc.so (_pthread_start(void*)+40) (BuildId:

cc194ef76ee932851b23cc2e4f46d55f)

06-30 15:19:31.001 17531 17531 F DEBUG   :       #33 pc 00039d93  /apex/com.android.runtime/lib/bionic/libc.so (_start_thread+30) (BuildId:

cc194ef76ee932851b23cc2e4f46d55f)

■ Next action

进一步分析，给出结论。

#2 - 2023-08-02 15:00 - CD FW-廖涛

- Status changed from ASSIGNED to NEED_INFO

- Assignee changed from CD FW-廖涛 to 物联网测试组_TSCD 王维

- Root cause set to 乐播 SDK 故障

■ Current conclusion

1. 该问题应该是乐播 SDK 对 SurfaceView 使用时的处理不当导致的崩溃，且目前除乐播外暂未发现其他相同问题；（但是乐播开发觉得是系统问题。。。

）

2. 该问题的复现手顺时，使用两台 iPhone，重复执行以下操作多次出现（一般在 3 次操作后出现）；

  2.1 A 手机进行镜像投屏；

  2.2 关闭 A 手机 WIFI 开关；
  2.3 B 手机进行镜像投屏；

  2.4 关闭 B 手机 WIFI 开关；

  2.5 打开 A 手机 WIFI，然后从 2.1 开始重新执行；

3. 目前客户暂未反馈相同问题；

综上所述，该问题申请不解；

■ Next action

麻烦测试确认。

#3 - 2023-08-23 15:56 - 物联网测试组_TSCD 王维

- Status changed from NEED_INFO to RESOLVED

#4 - 2023-08-23 15:56 - 物联网测试组_TSCD 王维

- Status changed from RESOLVED to VERIFIED

#5 - 2023-08-23 15:56 - 物联网测试组_TSCD 王维

- Status changed from VERIFIED to CLOSED

Files

8.txt 8.29 MB 2023-06-30 物联网测试组_TSCD 王维
